const Message = {
    success: (msg: string) => {
        uni.showToast({
            title: msg,
            icon: 'success',
        })
    },
    error: (msg: string) => {
        uni.showToast({
            title: msg,
            icon: 'error',
        })
    },
}

const createErrorModal = (options: { title: string; content: string }) => {
    uni.showModal({
        title: options.title,
        content: options.content,
        showCancel: false,
    })
}

/**
 * @description: message
 */
export function useMessage() {
    return {
        createMessage: Message,
        createErrorModal,
    }
}
