import { createSSRApp } from 'vue'
import * as Pinia from 'pinia'

import App from './App.vue'
import { setupAppConfig } from '/@/config/app'
import { setupStore } from '/@/store'
import { setupI18n } from '/@/locales'

export function createApp() {
    const app = createSSRApp(App)

    // 打印 App 信息
    // #ifdef H5
    setupAppConfig()
    // #endif

    // 配置 store
    setupStore(app)

    // 配置 i18n
    setupI18n(app)

    return {
        app,
        Pinia,
    }
}
